import { Long } from "../../../helpers";
export const AminoConverter = {
  "/injective.auction.v1beta1.MsgBid": {
    aminoType: "/injective.auction.v1beta1.MsgBid",
    toAmino: ({
      sender,
      bidAmount,
      round
    }) => {
      return {
        sender,
        bid_amount: {
          denom: bidAmount.denom,
          amount: Long.fromValue(bidAmount.amount).toString()
        },
        round: round.toString()
      };
    },
    fromAmino: ({
      sender,
      bid_amount,
      round
    }) => {
      return {
        sender,
        bidAmount: {
          denom: bid_amount.denom,
          amount: bid_amount.amount
        },
        round: Long.fromString(round)
      };
    }
  }
};